package com.bc_chat.contacts

import org.junit.Test

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {
    @Test
    fun addition_isCorrect() {
//        assertEquals(4, 2 + 2)
        val person1 = Person()
        val person2 = Person()
        val person3 = Person()

        val list1: ArrayList<Person> = ArrayList()
        list1.add(person1)
        list1.add(person2)
        list1.add(person3)

        val list2: ArrayList<Person> = ArrayList()
        val list3: ArrayList<Person> = ArrayList()

        list2.add(list1[0])
        list2.add(list1[2])

        list3.addAll(list1)
        list1.add(person1)
        list1.add(person1)
        list1.add(person1)
        System.out.print("------------------------>${list3.size}")
    }

    class Person {
        var name: String? = null
    }
}
